#!/bin/sh -x
# resolve links - $0 may be a softlink
PRG="$0"

while [ -h "$PRG" ] ; do
  ls=`ls -ld "$PRG"`
  link=`expr "$ls" : '.*-> \(.*\)$'`
  if expr "$link" : '.*/.*' > /dev/null; then
    PRG="$link"
  else
    PRG=`dirname "$PRG"`/"$link"
  fi
done

PRGDIR=`dirname "$PRG"`

PATH=$PRGDIR/../bin:$PATH
export PATH

HEADREPO=Infomedix-tailor-hg-head
B2_0_3_20REPO=Infomedix-tailor-hg-2_0_3_20
B2_1_5REPO=Infomedix-tailor-hg-2_1_5
COMBINEDREPO=Infomedix-tailor-hg-combined

#TDBUG="-D -v"
TDBUG=

CVSROOT=xxx
export CVSROOT
if cvs login; then
  exec >> tailor.update.out 2>&1
  set -x
  # Use tailor to update the HEAD history

  tailor $TDBUG --configfile=Infomedix.tailor
  if [ $? -ne 0 -o ! -d $HEADREPO ]; then
    echo "Update of HEAD branch failed"
    exit 1
  fi
  tailor $TDBUG --configfile=Infomedix.b2_0_3_20.tailor
  if [ $? -ne 0 ]; then
    echo "Update of b2_0_3_20 branch failed"
    exit 1
  fi

  tailor $TDBUG --configfile=Infomedix.b2_1_5.tailor
  if [ $? -ne 0 ]; then
    echo "Update of b2_1_5 branch failed"
    exit 1
  fi
  # Now update the combined repository
  pushd $COMBINEDREPO
  hg pull ../$HEADREPO
  hg pull ../$B2_0_3_20REPO
  hg pull ../$B2_1_5REPO
  popd
fi
